%define rel	4

Name:		subtitlecomposer
Version:	0.6.4
Release:	%mkrel %{rel}
Summary:	A text-based subtitles editor
License:	GPLv2+
Group:		Text tools
URL:		https://github.com/maxrd2/subtitlecomposer
Source0:	https://github.com/maxrd2/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
# (ahmad) fix the mimetypes installed by subtitlecompoer:
# - no need to duplicate the ones already available in the freedesktop specs
# - .txt files are not necessarily subtitles files
Patch0:		subtitlecomposer-0.5.3-mimetypes.patch
Patch1:		subtitlecomposer-0.6.4-cmake.patch
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(icu-io)
BuildRequires:	pkgconfig(libxine)
%ifnarch %{arm}
BuildRequires:	pkgconfig(mpv)
%endif
BuildRequires:	gettext

BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Auth)
BuildRequires:	cmake(KF5Codecs)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5Kross)
BuildRequires:	cmake(KF5Sonnet)
BuildRequires:	cmake(KF5TextWidgets)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(phonon4qt5)

%description
A text-based subtitles editor that supports basic operations as well as more
advanced ones, aiming to become an improved version of Subtitle Workshop for
every platform supported by KF5 (KDE Frameworks 5).

Features:

  * Support for multiple formats, including SubRip, MicroDVD, SSA/ASS
    (without advanced styles), MPlayer, TMPlayer and YouTube captions.
  * Live preview of subtitles and video with support for multiple backends
    (GStreamer, MPlayer/2, MPV, Xine, Phonon), audio channel selection and
    full screen mode.
  * Time shifting and adjusting, lines duration calculation, synchronization
    with video, etc.
  * Working with original subtitle and translation.
  * Texts styles (italic, bold, underline, stroke, color), spell checking,
    automatic translation (using Google services), etc.
  * Joining and splitting of files.
  * Automatic detection of errors.
  * Editing of subtitles through scripting (Ruby, Python, JavaScript and other
    languages supported by Kross).

%files -f %{name}.lang
%doc AUTHORS ChangeLog README.md TODO
%license COPYING
%{_kf5_bindir}/%{name}
%{_kf5_applicationdir}/%{name}.desktop
%config(noreplace) %{_kf5_sysconfdir}/xdg/%{name}rc
%{_kf5_datadir}/kxmlgui5/%{name}/%{name}ui.rc
%{_kf5_datadir}/%{name}/
%{_kf5_libdir}/%{name}/
%{_kf5_iconsdir}/hicolor/*/*/*.png
%{_kf5_datadir}/mime/packages/%{name}.xml

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

# fix permissions
chmod 644 ChangeLog

%build
%cmake_kf5
%make_build

%install
%make_install -C build

# fix permissions
chmod 755 %{buildroot}%{_kf5_datadir}/%{name}/scripts/*.py
chmod 755 %{buildroot}%{_kf5_datadir}/%{name}/scripts/*.rb

# we don't want these
find %{buildroot} -name '*.h' -delete

%find_lang %{name}


%changelog
* Thu Mar 16 2017 mrambo3501 <mrambo3501> 0.6.4-4.mga6
+ Revision: 1093109
- Rebuild for icu-58.2

* Fri Dec 16 2016 daviddavid <daviddavid> 0.6.4-3.mga6
+ Revision: 1075686
- add patch1 to fix plugins install dir

* Sat May 14 2016 shlomif <shlomif> 0.6.4-2.mga6
+ Revision: 1015260
- Rebuild for the new UCI (new major)

* Sun May 08 2016 daviddavid <daviddavid> 0.6.4-1.mga6
+ Revision: 1011015
- new version: 0.6.4

* Mon Apr 04 2016 daviddavid <daviddavid> 0.6.3-1.mga6
+ Revision: 998288
- new version: 0.6.3

* Sat Mar 26 2016 daviddavid <daviddavid> 0.6.2-1.mga6
+ Revision: 995564
- new version: 0.6.2

* Wed Mar 16 2016 daviddavid <daviddavid> 0.6.1-1.mga6
+ Revision: 992036
- new version: 0.6.1

* Wed Feb 10 2016 daviddavid <daviddavid> 0.5.9-1.mga6
+ Revision: 953376
- new version: 0.5.9
- remove merged upstream patch

* Mon Feb 08 2016 daviddavid <daviddavid> 0.5.8-1.mga6
+ Revision: 943881
- new version: 0.5.8
- switch build to Qt5/kf5
- add mpv support
- add upstream patch to fix Italian translation
- improve description

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.5.7-4.mga6
+ Revision: 917923
- rebuild for icu

* Fri Oct 16 2015 daviddavid <daviddavid> 0.5.7-3.mga6
+ Revision: 892233
- add patch3 from debian to fix build failure for new gstreamer versions
- add patch4 from debian to fix crash: Sonnet::Dialog cannot handle empty buffers

* Sat Jul 25 2015 daviddavid <daviddavid> 0.5.7-2.mga6
+ Revision: 857248
- rebuild for icu 55

* Sun Nov 09 2014 daviddavid <daviddavid> 0.5.7-1.mga5
+ Revision: 796124
- new version: 0.5.7
- switch build to gstreamer1.0

* Wed Oct 15 2014 umeabot <umeabot> 0.5.6-4.mga5
+ Revision: 742908
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.5.6-3.mga5
+ Revision: 725239
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.6-2.mga5
+ Revision: 689573
- Mageia 5 Mass Rebuild

* Tue May 06 2014 daviddavid <daviddavid> 0.5.6-1.mga5
+ Revision: 620877
- update URL and Source0 for new upstream development
- remove all previous patches P0 and P1 (fixed upstream)
- add BuildRequires on pkgconfig(icu-io) and pkgconfig(libxine)
- fix permissions for *.rb and *.py files (scripts folder)
- new version: 0.5.6
  * Continuation of original package since initial author stopped development

* Fri Oct 18 2013 umeabot <umeabot> 0.5.3-4.mga4
+ Revision: 521521
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 0.5.3-3.mga3
+ Revision: 391051
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 02 2012 fwang <fwang> 0.5.3-2.mga3
+ Revision: 266620
- do not build xine backend
- fix more linkage
- link against x11

* Fri May 13 2011 ahmad <ahmad> 0.5.3-2.mga1
+ Revision: 97693
- Add a patch to fix the mimetypes installed by subtitlecompoer:
  o no need to duplicate the ones already available in the freedesktop specs
  o .txt files are not necessarily subtitles files

* Fri Apr 29 2011 ahmad <ahmad> 0.5.3-1.mga1
+ Revision: 93504
- imported package subtitlecomposer

